Update Prospect
https://api.propexo.com/crm/v1/prospects/:prospect_idUpdate a prospect for an integration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the prospect
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The primary email address associated with the prospect
Primary phone number associated with the prospect
Secondary phone number associated with the prospect
The first name associated with the prospect
The last name associated with the prospect
The move-in date associated with the prospect
Show 2 variants
The minimum rent of the prospect
Possible values: >= 1
The maximum rent of the prospect
Possible values: >= 1
Notes associated with the prospect. This is appended to any existing message
A list of pets related to the prospect
Show 3 enum values
SMALL_DOGLARGE_DOGCATThe Propexo unique identifier for the agent
The number of occupants living in the unit
Possible values: > 0
The amount of months for the lease term
Possible values: >= 1
The number of bedrooms associated with the prospect. RentCafe only takes a single value for the desired bedrooms. All values other than the first are ignored. This is for compatibility with the other CRM endpoints.
The first address line associated with the prospect
Possible values: <= 40 characters
The second address line associated with the prospect
Possible values: <= 40 characters
The city associated with the prospect
Possible values: <= 30 characters
The state associated with the prospect
Possible values: <= 4 characters
The zip code associated with the prospect
Possible values: <= 12 characters
The country associated with the prospect
Possible values: <= 2 characters
The way the prospect prefers to be contacted
Show 4 enum values
NONECALLTEXTEMAILWhether or not to subscribe the prospect to automated Rentcafe email messaging.
The name of the source of the lead
Response
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/crm/v1/prospects/:prospect_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"lease_id": "string"
}'
{
"job_id": "string",
"data": {}
}